Skip to main content
Version: 1.15

HMAC SHA512 - Import a secret share

POST 

/hmac-sha512/import/import-secret-share

notice

This API endpoint part of the Exchange API Vault. Please contact the Sodot team for access.

authorization

This API endpoint requires an API Key with at least one of the following Roles: KeysManager | KeysImporter

Each party is required to have its own secret share of the HMAC-SHA512 key to be imported. Then, each party will provide its secret share and it will be stored within the Vertex ready for the 'sign' MPC operation.

Note: To generate secret shares from an HMAC-SHA512 key, use one of Sodot's key-sharing SDKs.

Import Validation

It is important to run a 'sign' MPC operation after import and check that the HMAC-SHA512 signature validates with the relevant validating party (e.g. exchange server).

This is required as HMAC does not have a public key and therefore there is no way to validate it on import.

Request

Responses